<?php

/** @var \App\Models\Pro $sectionPro */
/** @var \App\Models\Pro $pro */
/** @var \App\Models\Note $note */

if(!@$sectionPro) {
    if(@$note) {
        $sectionPro = $note->hcpPro;
    }
    else {
        $sectionPro = $pro; // should never get here
    }
}

if(!@$contentData) {
    $contentData = false;
    if ($patient->canvas_data) {
        $canvasData = json_decode($patient->canvas_data, true);
        if (isset($canvasData["lifestyle_rx_review"])) {
            $contentData = $canvasData["lifestyle_rx_review"];
        }
    }
}

if($contentData === false || !isset($contentData[$sectionPro->uid])) {
    ?>
    <div class="text-secondary">No data in this section yet</div>
    <?php
}
else {
    $lsRxReview = $contentData[$sectionPro->uid];
    ?>
    <p class="font-weight-bold text-secondary my-2">Current Physical Activity</p>
    <p class="my-2">
        <b><?= $lsRxReview['physical_activity']['type'] ?></b>
        <?php if($lsRxReview['physical_activity']['frequency']): ?>
            <span class="text-secondary">&nbsp;/&nbsp;<?= @$lsRxReview['physical_activity']['frequency'] ?></span>
        <?php endif; ?>
        <?php if($lsRxReview['physical_activity']['time']): ?>
            <span class="text-secondary">&nbsp;/&nbsp;<?= @$lsRxReview['physical_activity']['time'] ?></span>
        <?php endif; ?>
        <?php if($lsRxReview['physical_activity']['intensity']): ?>
            <span class="text-secondary">&nbsp;/&nbsp;<?= @$lsRxReview['physical_activity']['intensity'] ?></span>
        <?php endif; ?>
        <?php if($lsRxReview['physical_activity']['enjoyment']): ?>
            <span class="text-secondary">&nbsp;/&nbsp;<?= @$lsRxReview['physical_activity']['enjoyment'] ?></span>
        <?php endif; ?>
    </p>
    <p class="font-weight-bold text-secondary my-2">Barriers To Physical Activity: <?= @$lsRxReview['physical_activity']['barriers'] ?></p>
    <p class="font-weight-bold text-secondary my-2">Assessment of Physical Activity Level: <?= @$lsRxReview['physical_activity']['assessment'] ?></p>
    <p class="font-weight-bold text-secondary my-2">Lifestyle Rx Adherence</p>

    <div class="pl-3 border-left mb-3">
        <table class="table table-sm table-bordered mb-2 table-edit-sheet bg-white">
            <thead>
            <tr class="bg-light">
                <th class="px-2 text-secondary border-bottom-0 width-100px text-nowrap">Lifestyle Rx</th>
                <th class="px-2 text-secondary border-bottom-0 width-100px text-nowrap">Rx Memo</th>
                <th class="px-2 text-secondary border-bottom-0 width-100px text-nowrap">Adherence</th>
                <th class="px-2 text-secondary border-bottom-0 width-100px text-nowrap">Adherence Memo</th>
            </tr>
            </thead>

            <?php if ($lsRxReview['adherence']['seated']['active'] || $lsRxReview['adherence']['arm']['active'] || $lsRxReview['adherence']['aquatic']['active']): ?>
                <tbody class="border-0">
                <?php if ($lsRxReview['adherence']['seated']['active']): ?>
                    <tr>
                        <td class="px-2 align-middle py-1 bg-white">Seated Exercises</td>
                        <td class="px-2 align-middle py-1 bg-white"><?= $lsRxReview['adherence']['seated']['memo'] ?></td>
                        <td class="px-2 align-middle py-1 bg-white"><?= $lsRxReview['adherence']['seated']['adherence'] ?></td>
                        <td class="px-2 align-middle py-1 bg-white"><?= $lsRxReview['adherence']['seated']['adherence_memo'] ?></td>
                    </tr>
                <?php endif; ?>
                <?php if ($lsRxReview['adherence']['arm']['active']): ?>
                    <tr>
                        <td class="px-2 align-middle py-1 bg-white">Arm Exercises</td>
                        <td class="px-2 align-middle py-1 bg-white"><?= $lsRxReview['adherence']['arm']['memo'] ?></td>
                        <td class="px-2 align-middle py-1 bg-white"><?= $lsRxReview['adherence']['arm']['adherence'] ?></td>
                        <td class="px-2 align-middle py-1 bg-white"><?= $lsRxReview['adherence']['arm']['adherence_memo'] ?></td>
                    </tr>
                <?php endif; ?>
                <?php if ($lsRxReview['adherence']['aquatic']['active']): ?>
                    <tr>
                        <td class="px-2 align-middle py-1 bg-white">Aquatic Exercises</td>
                        <td class="px-2 align-middle py-1 bg-white"><?= $lsRxReview['adherence']['aquatic']['memo'] ?></td>
                        <td class="px-2 align-middle py-1 bg-white"><?= $lsRxReview['adherence']['aquatic']['adherence'] ?></td>
                        <td class="px-2 align-middle py-1 bg-white"><?= $lsRxReview['adherence']['aquatic']['adherence_memo'] ?></td>
                    </tr>
                <?php endif; ?>
                </tbody>
            <?php endif; ?>

            <?php if ($lsRxReview['adherence']['aerobic']['active']): ?>
                <tbody class="border-0">
                <?php if ($lsRxReview['adherence']['aerobic']['walk']['active']): ?>
                    <tr>
                        <td class="px-2 align-middle py-1 bg-white">
                            Aerobic → Walk
                            <?= @$lsRxReview['adherence']['aerobic']['walk']['intensity'] ? ' / ' . $lsRxReview['adherence']['aerobic']['walk']['intensity'] : '' ?>
                            <?= @$lsRxReview['adherence']['aerobic']['walk']['days_per_week'] ? ' / ' . $lsRxReview['adherence']['aerobic']['walk']['days_per_week'] . ' days/wk' : '' ?>
                            <?= @$lsRxReview['adherence']['aerobic']['walk']['minutes_per_day'] ? ' / ' . $lsRxReview['adherence']['aerobic']['walk']['minutes_per_day'] . ' mins/day' : '' ?>
                        </td>
                        <td class="px-2 align-middle py-1 bg-white"><?= @$lsRxReview['adherence']['aerobic']['walk']['memo'] ?></td>
                        <td class="px-2 align-middle py-1 bg-white"><?= @$lsRxReview['adherence']['aerobic']['walk']['adherence'] ?></td>
                        <td class="px-2 align-middle py-1 bg-white"><?= @$lsRxReview['adherence']['aerobic']['walk']['adherence_memo'] ?></td>
                    </tr>
                <?php endif; ?>
                <?php if ($lsRxReview['adherence']['aerobic']['jog']['active']): ?>
                    <tr>
                        <td class="px-2 align-middle py-1 bg-white">
                            Aerobic → Jog
                            <?= @$lsRxReview['adherence']['aerobic']['jog']['intensity'] ? ' / ' . $lsRxReview['adherence']['aerobic']['jog']['intensity'] : '' ?>
                            <?= @$lsRxReview['adherence']['aerobic']['jog']['days_per_week'] ? ' / ' . $lsRxReview['adherence']['aerobic']['jog']['days_per_week'] . ' days/wk' : '' ?>
                            <?= @$lsRxReview['adherence']['aerobic']['jog']['minutes_per_day'] ? ' / ' . $lsRxReview['adherence']['aerobic']['jog']['minutes_per_day'] . ' mins/day' : '' ?>
                        </td>
                        <td class="px-2 align-middle py-1 bg-white"><?= @$lsRxReview['adherence']['aerobic']['jog']['memo'] ?></td>
                        <td class="px-2 align-middle py-1 bg-white"><?= @$lsRxReview['adherence']['aerobic']['jog']['adherence'] ?></td>
                        <td class="px-2 align-middle py-1 bg-white"><?= @$lsRxReview['adherence']['aerobic']['jog']['adherence_memo'] ?></td>
                    </tr>
                <?php endif; ?>
                <?php if ($lsRxReview['adherence']['aerobic']['elliptical']['active']): ?>
                    <tr>
                        <td class="px-2 align-middle py-1 bg-white">
                            Aerobic → Elliptical
                            <?= @$lsRxReview['adherence']['aerobic']['elliptical']['intensity'] ? ' / ' . $lsRxReview['adherence']['aerobic']['elliptical']['intensity'] : '' ?>
                            <?= @$lsRxReview['adherence']['aerobic']['elliptical']['days_per_week'] ? ' / ' . $lsRxReview['adherence']['aerobic']['elliptical']['days_per_week'] . ' days/wk' : '' ?>
                            <?= @$lsRxReview['adherence']['aerobic']['elliptical']['minutes_per_day'] ? ' / ' . $lsRxReview['adherence']['aerobic']['elliptical']['minutes_per_day'] . ' mins/day' : '' ?>
                        </td>
                        <td class="px-2 align-middle py-1 bg-white"><?= @$lsRxReview['adherence']['aerobic']['elliptical']['memo'] ?></td>
                        <td class="px-2 align-middle py-1 bg-white"><?= @$lsRxReview['adherence']['aerobic']['elliptical']['adherence'] ?></td>
                        <td class="px-2 align-middle py-1 bg-white"><?= @$lsRxReview['adherence']['aerobic']['elliptical']['adherence_memo'] ?></td>
                    </tr>
                <?php endif; ?>
                <?php if ($lsRxReview['adherence']['aerobic']['swim']['active']): ?>
                    <tr>
                        <td class="px-2 align-middle py-1 bg-white">
                            Aerobic → Swim
                            <?= @$lsRxReview['adherence']['aerobic']['swim']['intensity'] ? ' / ' . $lsRxReview['adherence']['aerobic']['swim']['intensity'] : '' ?>
                            <?= @$lsRxReview['adherence']['aerobic']['swim']['days_per_week'] ? ' / ' . $lsRxReview['adherence']['aerobic']['swim']['days_per_week'] . ' days/wk' : '' ?>
                            <?= @$lsRxReview['adherence']['aerobic']['swim']['minutes_per_day'] ? ' / ' . $lsRxReview['adherence']['aerobic']['swim']['minutes_per_day'] . ' mins/day' : '' ?>
                        </td>
                        <td class="px-2 align-middle py-1 bg-white"><?= @$lsRxReview['adherence']['aerobic']['swim']['memo'] ?></td>
                        <td class="px-2 align-middle py-1 bg-white"><?= @$lsRxReview['adherence']['aerobic']['swim']['adherence'] ?></td>
                        <td class="px-2 align-middle py-1 bg-white"><?= @$lsRxReview['adherence']['aerobic']['swim']['adherence_memo'] ?></td>
                    </tr>
                <?php endif; ?>
                <?php if ($lsRxReview['adherence']['aerobic']['bike']['active']): ?>
                    <tr>
                        <td class="px-2 align-middle py-1 bg-white">
                            Aerobic → Bike
                            <?= @$lsRxReview['adherence']['aerobic']['bike']['intensity'] ? ' / ' . $lsRxReview['adherence']['aerobic']['bike']['intensity'] : '' ?>
                            <?= @$lsRxReview['adherence']['aerobic']['bike']['days_per_week'] ? ' / ' . $lsRxReview['adherence']['aerobic']['bike']['days_per_week'] . ' days/wk' : '' ?>
                            <?= @$lsRxReview['adherence']['aerobic']['bike']['minutes_per_day'] ? ' / ' . $lsRxReview['adherence']['aerobic']['bike']['minutes_per_day'] . ' mins/day' : '' ?>
                        </td>
                        <td class="px-2 align-middle py-1 bg-white"><?= @$lsRxReview['adherence']['aerobic']['bike']['memo'] ?></td>
                        <td class="px-2 align-middle py-1 bg-white"><?= @$lsRxReview['adherence']['aerobic']['bike']['adherence'] ?></td>
                        <td class="px-2 align-middle py-1 bg-white"><?= @$lsRxReview['adherence']['aerobic']['bike']['adherence_memo'] ?></td>
                    </tr>
                <?php endif; ?>
                </tbody>
            <?php endif; ?>

            <?php if ($lsRxReview['adherence']['strength']['active']): ?>
                <tbody class="border-0">
                <?php foreach ($lsRxReview['adherence']['strength']['exercises'] as $exercise): ?>
                    <tr>
                        <td class="px-2 align-middle py-1 bg-white">
                            Strength → <?= @$exercise['name'] ?>
                            <?= @$exercise['intensity'] ? ' / ' . $exercise['intensity'] : '' ?>
                            <?= @$exercise['reps'] ? ' / ' . $exercise['reps'] . ' reps' : '' ?>
                            <?= @$exercise['days_per_week'] ? ' / ' . $exercise['days_per_week'] . ' days/wk' : '' ?>
                        </td>
                        <td class="px-2 align-middle py-1 bg-white"><?= $exercise['memo'] ?></td>
                        <td class="px-2 align-middle py-1 bg-white"><?= $exercise['adherence'] ?></td>
                        <td class="px-2 align-middle py-1 bg-white"><?= $exercise['adherence_memo'] ?></td>
                    </tr>
                <?php endforeach; ?>
                </tbody>
            <?php endif; ?>

            <?php if ($lsRxReview['adherence']['neat']['active']): ?>
                <tbody class="border-0">
                <?php if ($lsRxReview['adherence']['neat']['recommendations']['park_farther']): ?>
                    <tr>
                        <td class="px-2 align-middle py-1 bg-white" colspan="2">
                            NEAT → Park farther away from entrances
                        </td>
                        <td class="px-2 align-middle py-1 bg-white"><?= @$lsRxReview['adherence']['neat']['recommendations']['park_farther_adherence'] ?></td>
                        <td class="px-2 align-middle py-1 bg-white"><?= @$lsRxReview['adherence']['neat']['recommendations']['park_farther_adherence_memo'] ?></td>
                    </tr>
                <?php endif; ?>
                <?php if ($lsRxReview['adherence']['neat']['recommendations']['steps_instead_of_elevator']): ?>
                    <tr>
                        <td class="px-2 align-middle py-1 bg-white" colspan="2">
                            NEAT → Take the stairs instead of escalator/elevator
                        </td>
                        <td class="px-2 align-middle py-1 bg-white"><?= @$lsRxReview['adherence']['neat']['recommendations']['steps_instead_of_elevator_adherence'] ?></td>
                        <td class="px-2 align-middle py-1 bg-white"><?= @$lsRxReview['adherence']['neat']['recommendations']['steps_instead_of_elevator_adherence_memo'] ?></td>
                    </tr>
                <?php endif; ?>
                <?php if ($lsRxReview['adherence']['neat']['recommendations']['stand_instead_of_sit']): ?>
                    <tr>
                        <td class="px-2 align-middle py-1 bg-white" colspan="2">
                            NEAT → Stand instead of sit
                        </td>
                        <td class="px-2 align-middle py-1 bg-white"><?= @$lsRxReview['adherence']['neat']['recommendations']['stand_instead_of_sit_adherence'] ?></td>
                        <td class="px-2 align-middle py-1 bg-white"><?= @$lsRxReview['adherence']['neat']['recommendations']['stand_instead_of_sit_adherence_memo'] ?></td>
                    </tr>
                <?php endif; ?>
                <?php if ($lsRxReview['adherence']['neat']['recommendations']['steps_goal_per_day']): ?>
                    <tr>
                        <td class="px-2 align-middle py-1 bg-white" colspan="2">
                            NEAT → Steps goal / day:
                            <b><?= @$lsRxReview['adherence']['neat']['recommendations']['steps_goal_per_day'] ?></b>
                        </td>
                        <td class="px-2 align-middle py-1 bg-white"><?= @$lsRxReview['adherence']['neat']['recommendations']['steps_goal_per_day_adherence'] ?></td>
                        <td class="px-2 align-middle py-1 bg-white"><?= @$lsRxReview['adherence']['neat']['recommendations']['steps_goal_per_day_adherence_memo'] ?></td>
                    </tr>
                <?php endif; ?>
                <?php if ($lsRxReview['adherence']['neat']['recommendations']['other']): ?>
                    <tr>
                        <td class="px-2 align-middle py-1 bg-white" colspan="2">
                            NEAT → Other: <b><?= @$lsRxReview['adherence']['neat']['recommendations']['other'] ?></b>
                        </td>
                        <td class="px-2 align-middle py-1 bg-white"><?= @$lsRxReview['adherence']['neat']['recommendations']['other_adherence'] ?></td>
                        <td class="px-2 align-middle py-1 bg-white"><?= @$lsRxReview['adherence']['neat']['recommendations']['other_adherence_memo'] ?></td>
                    </tr>
                <?php endif; ?>
                </tbody>
            <?php endif; ?>

        </table>
    </div>

    <?php
}
?>
